<template>
    <div class="btn-group dropup">
        <Button id="toggle-button" type="button" :onClick="setProducts" value="draft">{{ status }}</Button>
        <Button id="option-button" type="button" :onClick="dummy" class="dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <span class="sr-only">Toggle Dropdown</span>
        </Button>
        <div class="dropdown-menu dropdown-menu-right">
            <a class="dropdown-item" href="#" v-on:click="status='ACTIVE'">ACTIVE</a>
            <a class="dropdown-item" href="#" v-on:click="status='DELETE'">DELETE</a>
            <a class="dropdown-item" href="#" v-on:click="status='DRAFT'">DRAFT</a>
        </div>
    </div>
</template>

<style>
#option-button {
    z-index: 1;
    padding-left: 5px;
}

#toggle-button {
    z-index: 2;
}
</style>

<script>
import Button from '../components/Button'
export default {
  components: {
    Button
  },
  props: {
    setProducts: {
        type: Function
    }
  },
  methods: {
    dummy() {
        return;
    }
  },
  data: () => {
      return {
          status: 'DRAFT'
      }
  }
};
</script>
